SET CERTFILE=c:\data\certs\sgw_certificate.pem
SET CHAINFILE=c:\data\certs\sgw_chain.pem
SET OCSP_RESPONSE=C:\data\certs\good_ocsp_resp.der
SET filesPresent=0
SET ocsp_responder_url=""

echo ================================================= >> C:\\data\\logs\\ocsp_check.log
echo %date% %time% >> C:\\data\\logs\\ocsp_check.log

if exist %CERTFILE% ( if exist %CHAINFILE% ( SET filesPresent=1 ) )

IF %filesPresent% == 1 (
  openssl x509 -noout -ocsp_uri -in %CERTFILE% > ocsp_endpoint.txt
  SET /p ocsp_responder_url=< ocsp_endpoint.txt
  echo "ocsp_responder_url = %ocsp_responder_url%" >> C:\\data\\logs\\ocsp_check.log
) ELSE (
  echo "Certificate sgw_certificate.pem OR sgw_chain.pem is missing. Cannot generate OCSP response." >> C:\\data\\logs\\ocsp_check.log
)

IF %ocsp_responder_url% == "" (
  echo "No OCSP Responder Found. Certificate does not have an OCSP Responder, possibly a Self Signed Certificate. Exiting job" >> C:\\data\\logs\\ocsp_check.log
) ELSE (
  openssl ocsp -issuer %CHAINFILE% -cert %CERTFILE% -verify_other %CHAINFILE% -CAfile %CHAINFILE% -no_nonce -url %ocsp_responder_url% -respout %OCSP_RESPONSE%
)

echo ================================================= >> C:\\data\\logs\\ocsp_check.log